Status: Closed

Priority: Normal

Assignee:

Category: Build/Install

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 16491

Description

I'm trying to build the latest master (51fc960b42223d11dba6f8c4c0cb527dd83f7f7a) on Ubuntu 13.04.

Build fails with:

In file included from /usr/include/qt4/QtGui/QSyntaxHighlighter:1:0,

                 from /home/geo2/dev/Quantum-GIS/python/../src/gui/qgsexpressionhighlighter.h:20,

                 from /home/geo2/dev/Quantum-GIS/python/gui/qgsexpressionhighlighter.sip:4:

/usr/include/qt4/QtGui/qsyntaxhighlighter.h: In function ‘PyObject*

meth_QgsExpressionHighlighter_setCurrentBlockUserData(PyObject*, PyObject*)’:

/usr/include/qt4/QtGui/qsyntaxhighlighter.h:95:10: error: ‘void

QSyntaxHighlighter::setCurrentBlockUserData(QTextBlockUserData*)’ is protected

/usr/share/sip/PyQt4/QtGui/qsyntaxhighlighter.sip:87:43: error: within this context

make[2]: *** [python/CMakeFiles/python_module_qgis_gui.dir/gui/sipguipart3.cpp.o] Error 1

make[1]: *** [python/CMakeFiles/python_module_qgis_gui.dir/all] Error 2

make: *** [all] Error 2

History

#1 - 2013-04-08 09:26 AM - Jürgen Fischer

probably a bug in raring.

See also http://python.6.n6.nabble.com/PyQt-compilation-problem-with-the-latest-snapshot-td5010296.html

#2 - 2013-04-09 09:40 AM - Ricardo Silva

- Status changed from Open to Closed

After today's updates from Ubuntu I managed to compile again. Thanks!
